Subject: Re: Arm + KASAN + syzbot

From: Russell King - ARM Linux admin <[email-masked]>
Date: Wed, 27 Jan 2021 10:19:11 +0000

On Wed, Jan 27, 2021 at 09:24:06AM +0100, Linus Walleij wrote:
> On Tue, Jan 26, 2021 at 10:24 PM Dmitry Vyukov <[email-masked]> wrote:
> 
> > I've set up an arm32 instance (w/o KASAN for now), but kernel fails during boot:
> > https://groups.google.com/g/syzkaller-bugs/c/omh0Em-CPq0
> > So far arm32 testing does not progress beyond attempts to boot.
> 
> It is booting all right it seems.
> 
> Today it looks like Hillf Danton found the problem: if I understand correctly
> the code is executing arm32-on-arm64 (virtualized QEMU for ARM32
> on ARM64?) and that was not working with the vexpress QEMU model
> because not properly tested.
> 
> I don't know if I understand the problem right though :/

There is an issue with ARMv7 and the decompressor currently - see the
patch from Ard - it's 9052/1 in the patch system.

That's already known to stuff up my 32-bit ARM VMs under KVM - maybe
other QEMU models are also affected by it.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel